Package org.springframework.web.servlet.tags.form

# Class TextareaTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
org.springframework.web.servlet.tags.RequestContextAwareTag
org.springframework.web.servlet.tags.HtmlEscapingAwareTag
org.springframework.web.servlet.tags.form.AbstractFormTag
org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag
org.springframework.web.servlet.tags.form.TextareaTag

All Implemented Interfaces:
  `DynamicAttributes`, `IterationTag`, `JspTag`, `Tag`, `TryCatchFinally`, `Serializable`, `EditorAwareTag`

public class TextareaTag extends AbstractHtmlInputElementTag
The `<textarea>` tag renders an HTML 'textarea'.

### Attribute Summary

Attribute | Required? | Runtime Expression? | Description
--- | --- | --- | ---
accesskey | false | true | HTML Standard Attribute
cols | false | true | HTML Required Attribute
cssClass | false | true | HTML Optional Attribute
cssErrorClass | false | true | HTML Optional Attribute. Used when the bound field has errors.
cssStyle | false | true | HTML Optional Attribute
dir | false | true | HTML Standard Attribute
disabled | false | true | HTML Optional Attribute. Setting the value of this attribute to 'true' will disable the HTML element.
htmlEscape | false | true | Enable/disable HTML escaping of rendered values.
id | false | true | HTML Standard Attribute
lang | false | true | HTML Standard Attribute
onblur | false | true | HTML Event Attribute
onchange | false | true | HTML Event Attribute
onclick | false | true | HTML Event Attribute
ondblclick | false | true | HTML Event Attribute
onfocus | false | true | HTML Event Attribute
onkeydown | false | true | HTML Event Attribute
onkeypress | false | true | HTML Event Attribute
onkeyup | false | true | HTML Event Attribute
onmousedown | false | true | HTML Event Attribute
onmousemove | false | true | HTML Event Attribute
onmouseout | false | true | HTML Event Attribute
onmouseover | false | true | HTML Event Attribute
onmouseup | false | true | HTML Event Attribute
onselect | false | true | HTML Event Attribute
path | true | true | Path to property for data binding
readonly | false | true | HTML Optional Attribute. Setting the value of this attribute to 'true' will make the HTML element readonly.
rows | false | true | HTML Required Attribute
tabindex | false | true | HTML Standard Attribute
title | false | true | HTML Standard Attribute

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COLS_ATTRIBUTE`
`static final String`
`ONSELECT_ATTRIBUTE`
`static final String`
`ROWS_ATTRIBUTE`

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag

`ACCESSKEY_ATTRIBUTE, DISABLED_ATTRIBUTE, ONBLUR_ATTRIBUTE, ONCHANGE_ATTRIBUTE, ONFOCUS_ATTRIBUTE, READONLY_ATTRIBUTE`

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

`CLASS_ATTRIBUTE, DIR_ATTRIBUTE, LANG_ATTRIBUTE, ONCLICK_ATTRIBUTE, ONDBLCLICK_ATTRIBUTE, ONKEYDOWN_ATTRIBUTE, ONKEYPRESS_ATTRIBUTE, ONKEYUP_ATTRIBUTE, ONMOUSEDOWN_ATTRIBUTE, ONMOUSEMOVE_ATTRIBUTE, ONMOUSEOUT_ATTRIBUTE, ONMOUSEOVER_ATTRIBUTE, ONMOUSEUP_ATTRIBUTE, STYLE_ATTRIBUTE, TABINDEX_ATTRIBUTE, TITLE_ATTRIBUTE`

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

`NESTED_PATH_VARIABLE_NAME`

### Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`TextareaTag()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getCols()`
Get the value of the '`cols`' attribute.
`protected String`
`getOnselect()`
Get the value of the '`onselect`' attribute.
`protected String`
`getRows()`
Get the value of the '`rows`' attribute.
`void`
`setCols(String cols)`
Set the value of the '`cols`' attribute.
`void`
`setOnselect(String onselect)`
Set the value of the '`onselect`' attribute.
`void`
`setRows(String rows)`
Set the value of the '`rows`' attribute.
`protected int`
`writeTagContent(TagWriter tagWriter)`
Subclasses should implement this method to perform tag content rendering.

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag

`getAccesskey, getOnblur, getOnchange, getOnfocus, isDisabled, isReadonly, setAccesskey, setDisabled, setOnblur, setOnchange, setOnfocus, setReadonly, writeOptionalAttributes`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

`getCssClass, getCssErrorClass, getCssStyle, getDir, getDynamicAttributes, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getTabindex, getTitle, isValidDynamicAttribute, resolveCssClass, setCssClass, setCssErrorClass, setCssStyle, setDir, setDynamicAttribute, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setTabindex, setTitle, writeDefaultAttributes`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

`autogenerateId, convertToDisplayString, doFinally, getBindStatus, getBoundValue, getEditor, getId, getName, getNestedPath, getPath, getPropertyEditor, getPropertyPath, processFieldValue, resolveId, setId, setPath`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractFormTag

`createTagWriter, doStartTagInternal, evaluate, getDisplayString, getDisplayString, isDefaultHtmlEscape, writeOptionalAttribute`

### Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag

`htmlEscape, isHtmlEscape, isResponseEncodedHtmlEscape, setHtmlEscape`

### Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`doCatch, doStartTag, getRequestContext`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, release, removeValue, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ROWS_ATTRIBUTE

public static final String ROWS_ATTRIBUTE

See Also:
  - Constant Field Values

### COLS_ATTRIBUTE

public static final String COLS_ATTRIBUTE

See Also:
  - Constant Field Values

### ONSELECT_ATTRIBUTE

public static final String ONSELECT_ATTRIBUTE

See Also:
  - Constant Field Values

## Constructor Details

### TextareaTag

public TextareaTag()

## Method Details

### setRows

public void setRows(String rows)
Set the value of the '`rows`' attribute. May be a runtime expression.

### getRows

@Nullable protected String getRows()
Get the value of the '`rows`' attribute.

### setCols

public void setCols(String cols)
Set the value of the '`cols`' attribute. May be a runtime expression.

### getCols

@Nullable protected String getCols()
Get the value of the '`cols`' attribute.

### setOnselect

public void setOnselect(String onselect)
Set the value of the '`onselect`' attribute. May be a runtime expression.

### getOnselect

@Nullable protected String getOnselect()
Get the value of the '`onselect`' attribute.

### writeTagContent

protected int writeTagContent(TagWriter tagWriter) throws JspException
Description copied from class: `AbstractFormTag`
Subclasses should implement this method to perform tag content rendering.

Specified by:
  `writeTagContent` in class `AbstractFormTag`
Returns:
  valid tag render instruction as per `Tag.doStartTag()`.
Throws:
  `JspException`